package com.atlassian.bitbucket.mesh.git.builder.merge;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilder;

import javax.annotation.Nonnull;

public class DefaultGitMerge implements GitMerge {

    private final GitProcessBuilder builder;

    public DefaultGitMerge(GitProcessBuilder builder) {
        this.builder = builder;
    }

    @Nonnull
    @Override
    public GitMergeBuilder normal() {
        return new DefaultGitMergeBuilder(builder);
    }

    @Nonnull
    @Override
    public GitSquashMergeBuilder squash() {
        return new DefaultGitSquashMergeBuilder(builder);
    }
}
